Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 1986493002: Show message center on lock screen (Closed)

Created:
2 years, 10 months ago by yoshiki
Modified:
2 years, 9 months ago
CC:
chromium-reviews, elijahtaylor+arcwatch_chromium.org, sadrul, yusukes+watch_chromium.org, Peter Beverloo, mlamouri+watch-notifications_chromium.org, lhchavez+watch_chromium.org, kalyank, hidehiko+watch_chomium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Show message center on lock screen This patch does: - Show the message center button on tray on the lock screen - Show the message to encourage user to log in when user opens message center on lock screen - Add SetLockedState(bool) and IsLockedState() method into MessageCenter class. - Don't make notifications read when opening the message center on lock screen - Add tests And this patch also fixes the bug that this makes blocked notifications read wrongly. BUG=599891 TEST=manually tested Committed: https://crrev.com/48c4b94a9d9eb0ae3a20ed9c05d9e77ff1a98b50 Cr-Commit-Position: refs/heads/master@{#396402}

Patch Set 1 #

Total comments: 9

Patch Set 2 : Addressed comments #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+200 lines, -59 lines) Patch
M ash/system/web_notification/web_notification_tray.cc View 4 chunks +4 lines, -6 lines 0 comments Download
M ui/message_center/fake_message_center.h View 2 chunks +2 lines, -0 lines 0 comments Download
M ui/message_center/fake_message_center.cc View 2 chunks +6 lines, -0 lines 0 comments Download
M ui/message_center/message_center.h View 1 2 chunks +4 lines, -0 lines 0 comments Download
M ui/message_center/message_center_impl.h View 1 3 chunks +5 lines, -0 lines 0 comments Download
M ui/message_center/message_center_impl.cc View 1 8 chunks +27 lines, -15 lines 0 comments Download
M ui/message_center/message_center_observer.h View 1 chunk +3 lines, -0 lines 0 comments Download
M ui/message_center/notification_list.h View 1 3 chunks +6 lines, -9 lines 0 comments Download
M ui/message_center/notification_list.cc View 1 4 chunks +8 lines, -14 lines 2 comments Download
M ui/message_center/notification_list_unittest.cc View 1 5 chunks +6 lines, -8 lines 0 comments Download
M ui/message_center/views/message_center_view.h View 3 chunks +4 lines, -0 lines 0 comments Download
M ui/message_center/views/message_center_view.cc View 7 chunks +21 lines, -7 lines 0 comments Download
M ui/message_center/views/message_center_view_unittest.cc View 8 chunks +101 lines, -0 lines 0 comments Download
M ui/strings/ui_strings.grd View 1 chunk +3 lines, -0 lines 0 comments Download

Messages

Total messages: 28 (12 generated)
yoshiki
Justin, PTAL. Thanks. https://codereview.chromium.org/1986493002/diff/60001/ui/message_center/notification_list.cc File ui/message_center/notification_list.cc (right): https://codereview.chromium.org/1986493002/diff/60001/ui/message_center/notification_list.cc#newcode70 ui/message_center/notification_list.cc:70: void NotificationList::SetNotificationsShown( I splitted this method ...
2 years, 10 months ago (2016-05-16 19:04:47 UTC) #6
yoshiki
Justin, PTAL. Thanks.
2 years, 10 months ago (2016-05-19 00:33:48 UTC) #7
dewittj
I'm wondering if there is a way to do this patch without teaching the message ...
2 years, 10 months ago (2016-05-19 17:34:03 UTC) #8
yoshiki
In near future, we're planning to show some non-private notifications on lock screen (like Android). ...
2 years, 10 months ago (2016-05-24 17:00:14 UTC) #11
dewittj
ok, lgtm https://codereview.chromium.org/1986493002/diff/120001/ui/message_center/notification_list.cc File ui/message_center/notification_list.cc (right): https://codereview.chromium.org/1986493002/diff/120001/ui/message_center/notification_list.cc#newcode343 ui/message_center/notification_list.cc:343: notification->set_shown_as_popup(message_center_->IsMessageCenterVisible() This is ok for now, but ...
2 years, 10 months ago (2016-05-24 17:10:29 UTC) #12
yoshiki
https://codereview.chromium.org/1986493002/diff/120001/ui/message_center/notification_list.cc File ui/message_center/notification_list.cc (right): https://codereview.chromium.org/1986493002/diff/120001/ui/message_center/notification_list.cc#newcode343 ui/message_center/notification_list.cc:343: notification->set_shown_as_popup(message_center_->IsMessageCenterVisible() On 2016/05/24 17:10:29, dewittj wrote: > This is ...
2 years, 10 months ago (2016-05-25 09:13:59 UTC) #13
yoshiki
skuhne@, could you approve the change in ash/system/*? Thanks.
2 years, 10 months ago (2016-05-25 09:14:47 UTC) #15
Mr4D (OOO till 08-26)
Which message indicator gets shown in multi user mode? Is it guaranteed that the unlocking ...
2 years, 10 months ago (2016-05-25 16:45:15 UTC) #16
yoshiki
On 2016/05/25 16:45:15, Mr4D wrote: > Which message indicator gets shown in multi user mode? ...
2 years, 10 months ago (2016-05-26 14:04:01 UTC) #17
Mr4D (OOO till 08-26)
On 2016/05/26 14:04:01, yoshiki wrote: > On 2016/05/25 16:45:15, Mr4D wrote: > > Which message ...
2 years, 10 months ago (2016-05-26 15:24:47 UTC) #18
Mr4D (OOO till 08-26)
ash/system/* lgtm
2 years, 10 months ago (2016-05-26 15:25:23 UTC) #19
yoshiki
On 2016/05/26 15:24:47, Mr4D wrote: > On 2016/05/26 14:04:01, yoshiki wrote: > > On 2016/05/25 ...
2 years, 10 months ago (2016-05-27 03:37:56 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1986493002/120001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1986493002/120001
2 years, 10 months ago (2016-05-27 03:38:25 UTC) #22
commit-bot: I haz the power
Committed patchset #2 (id:120001)
2 years, 10 months ago (2016-05-27 05:50:02 UTC) #24
commit-bot: I haz the power
Patchset 2 (id:??) landed as https://crrev.com/48c4b94a9d9eb0ae3a20ed9c05d9e77ff1a98b50 Cr-Commit-Position: refs/heads/master@{#396402}
2 years, 10 months ago (2016-05-27 05:52:10 UTC) #26
nednguyen
2 years, 10 months ago (2016-05-27 17:07:11 UTC) #27
Message was sent while issue was closed.
A revert of this CL (patchset #2 id:120001) has been created in
https://codereview.chromium.org/2018063002/ by nednguyen@google.com.

The reason for reverting is: Speculative revert: this may cause
message_center_unittests failure on Ubuntu-12.04	

BUG=615443.

Powered by Google App Engine
This is Rietveld 408576698